﻿namespace UltraToolbarsManagerRestoreToolValue
{
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinToolbars;

    public partial class Form1 : Form
    {
        private string oldValue;

        public Form1()
        {
            this.InitializeComponent();
            this.ultraToolbarsManager1.AfterToolEnterEditMode += ultraToolbarsManager1_AfterToolEnterEditMode;
            this.ultraToolbarsManager1.ToolKeyDown += ultraToolbarsManager1_ToolKeyDown;
        }

        private void ultraToolbarsManager1_AfterToolEnterEditMode(object sender, AfterToolEnterEditModeEventArgs e)
        {
            var textTool = e.Tool as TextBoxTool;
            if(textTool == null)
                return;

            this.oldValue = textTool.Text;
        }

        private void ultraToolbarsManager1_ToolKeyDown(object sender, ToolKeyEventArgs e)
        {
            var textTool = e.Tool as TextBoxTool;
            if(textTool == null)
                return;

            if(e.KeyData == Keys.Escape)
            {
                textTool.IsInEditMode = false;
                textTool.Text = this.oldValue;
            }
        }
    }
}
